edge_attr<- {igraph} | R Documentation

## Set one or more edge attributes

### Description

Set one or more edge attributes

### Usage

    edge_attr(graph, name, index = E(graph)) <- value

### Arguments

`graph` | The graph.
`name` | The name of the edge attribute to set. If missing, then `value` must be a named list, and its entries are set as edge attributes.
`index` | An optional edge sequence to set the attributes of a subset of edges.
`value` | The new value of the attribute(s) for all (or `index`) edges.

### Value

The graph, with the edge attribute(s) added or set.

### See Also

Other graph attributes: `delete_edge_attr`, `delete_graph_attr`, `delete_vertex_attr`, `edge_attr_names`, `edge_attr`, `graph_attr<-`, `graph_attr_names`, `graph_attr`, `igraph-dollar`, `igraph-vs-attributes`, `set_edge_attr`, `set_graph_attr`, `set_vertex_attr`, `vertex_attr<-`, `vertex_attr_names`, `vertex_attr`

### Examples

    g <- make_ring(10)
    edge_attr(g) <- list(name = LETTERS[1:10],
                          color = rep("green", gsize(g)))
    edge_attr(g, "label") <- E(g)$name
    g
    plot(g)

[Package igraph version 1.1.2 Index]